call plug#begin('~/.config/nvim/plugged')
Plug 'neoclide/coc.nvim', {'branch': 'release'}
Plug 'junegunn/fzf', { 'dir': '~/.fzf', 'do': './install --bin' }
Plug 'junegunn/fzf.vim'

Plug 'lervag/vimtex'
Plug 'rhysd/vim-crystal'
Plug 'elmcast/elm-vim'
Plug 'ap/vim-css-color'
Plug 'vim-scripts/avrasm.vim'

Plug 'arcticicestudio/nord-vim'

Plug 'iamcco/markdown-preview.vim'
call plug#end()

set exrc " Execute local vimscripts
set shiftwidth=4 " Make indents 4 chars wide
set expandtab " Expand tabs into spaces
set number " Set line numbers
set mouse=a " Allow mouse
set signcolumn=yes " Always show extra column

autocmd BufRead,BufNewFile *.v set filetype=coq " Coq is not Verilog
autocmd FileType crystal setlocal shiftwidth=2 " Crystal likes 2-wide indent

colorscheme nord
